Debian Bug report logs - #311185
kernel-image-2.6.11-powerpc: please add CONFIG_PREEMPT

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: TazForEver@dlfp.org

Date: Sun, 29 May 2005 16:49:12 UTC

Severity: wishlist

Tags: wontfix

Merged with 496871, 539209

Found in version linux-2.6/2.6.26-4

Fixed in version 2.6.32-1

Done: maximilian attems <max@stro.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#311185; Package kernel-image-2.6.11-powerpc. Full text and rfc822 format available.

Acknowledgement sent to TazForEver@dlfp.org:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: BenoƮt Dejean <TazForEver@dlfp.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kernel-image-2.6.11-powerpc: please add CONFIG_PREEMPT
Date: Sun, 29 May 2005 18:43:49 +0200
Package: kernel-image-2.6.11-powerpc
Version: 2.6.11-2
Severity: normal

please add CONFIG_PREEMPT to kernel configuration

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: powerpc (ppc)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.11-powerpc
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to fr_FR.UTF-8)

Versions of packages kernel-image-2.6.11-powerpc depends on:
ii  initrd-tools                  0.1.81.1   tools to create initrd image for p
ii  mkvmlinuz                     13         create a kernel to boot a PowerPC 
ii  module-init-tools             3.2-pre1-2 tools for managing Linux kernel mo

-- no debconf information



Bug reassigned from package `kernel-image-2.6.11-powerpc' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#311185; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Frederik Schueler <fs@lowpingbastards.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #12 received at 311185@bugs.debian.org (full text, mbox):

From: Frederik Schueler <fs@lowpingbastards.de>
To: control@bugs.debian.org, 311185@bugs.debian.org
Subject: re: kernel-image-2.6.11-powerpc: please add CONFIG_PREEMPT
Date: Sat, 12 Nov 2005 01:50:10 +0100
[Message part 1 (text/plain, inline)]
severity 311185 wishlist
tags 311185 wontfix
thanks

Hello,

CONFIG_PREEMPT is deactivated on all architectures for stability
reasons.


Best regards
Frederik Schueler

-- 
ENOSIG
[signature.asc (application/pgp-signature, inline)]

Severity set to `wishlist'. Request was from Frederik Schueler <fs@lowpingbastards.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: wontfix Request was from Frederik Schueler <fs@lowpingbastards.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#311185; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #21 received at 311185@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: Debian Bug Tracking System <311185@bugs.debian.org>
Subject: linux-2.6: Does the Debian Kernel Team still have concerns about CONFIG_PREEMPT ?
Date: Thu, 13 Dec 2007 00:10:04 +0100
Package: linux-2.6
Followup-For: Bug #311185

If I understand the following output correctly, the current (testing) Linux
kernel does *not* have any preemption activated:

  $ grep -i EMPT /boot/config-2.6.22-3-amd64 
  CONFIG_PREEMPT_NONE=y
  # CONFIG_PREEMPT_VOLUNTARY is not set
  # CONFIG_PREEMPT is not set
  # CONFIG_PREEMPT_BKL is not set

By reading the bug log, I seem to understand that this is due to stability
concerns by the Debian Kernel Team.
Do these concerns still hold, now that more than 2 years have passed?

If I read /usr/share/doc/jackd/README.Debian correctly, activating
preemption would benefit audio applications, especially:

| If you want better (or even only decent performance (fewer/no xruns, lower 
| latency...), you will probably have to do a bit of work. This includes:
|        1. get recent alsa-drivers running well
|        2. set up an .asoundrc if you have a professional and
|           powerful soundcard whose settings/channels/mixers you'd
|           like to have finer control over.
|        3. use a 2.6 kernel with the realtime-preempt patch applied
            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
|        5. run in realtime mode


I would love to see Debian as ready as possible for setting up an audio
processing workstation with minimal configuration (and without recompiling
kernels or other packages).



-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#311185; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #26 received at 311185@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Francesco Poli <frx@firenze.linux.it>, 311185@bugs.debian.org
Subject: Re: Bug#311185: linux-2.6: Does the Debian Kernel Team still have concerns about CONFIG_PREEMPT ?
Date: Thu, 13 Dec 2007 02:24:15 +0100
hello francesco,

nice to read you! :)

On Thu, Dec 13, 2007 at 12:10:04AM +0100, Francesco Poli wrote:
> 
> If I understand the following output correctly, the current (testing) Linux
> kernel does *not* have any preemption activated:
> 
>   $ grep -i EMPT /boot/config-2.6.22-3-amd64 
>   CONFIG_PREEMPT_NONE=y
>   # CONFIG_PREEMPT_VOLUNTARY is not set
>   # CONFIG_PREEMPT is not set
>   # CONFIG_PREEMPT_BKL is not set

yep, this is current state.
 
> By reading the bug log, I seem to understand that this is due to stability
> concerns by the Debian Kernel Team.
> Do these concerns still hold, now that more than 2 years have passed?

well partialy
but due to shipment in all major distribution volountary preemption
is beeing reconsidered as well preempt_bkl
http://lists.debian.org/debian-kernel/2007/11/msg00496.html
tickless kernel is an environmental necessity and thus enabled
http://lists.debian.org/debian-kernel/2007/12/msg00014.html
hz_1000 needs a benchmark run.

the stability != preempt seems no longer true as the preempt
path gets more testing out there.
 
> If I read /usr/share/doc/jackd/README.Debian correctly, activating
> preemption would benefit audio applications, especially:
> 
> |        3. use a 2.6 kernel with the realtime-preempt patch applied
> 
> I would love to see Debian as ready as possible for setting up an audio
> processing workstation with minimal configuration (and without recompiling
> kernels or other packages).

well the realtime patch already helped a lot,
but is not ready for default.
it is currently quite marketing hyped by rh and suse.

warm greetings

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#311185; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #31 received at 311185@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 311185@bugs.debian.org
Subject: Re: Bug#311185: linux-2.6: Does the Debian Kernel Team still have concerns about CONFIG_PREEMPT ?
Date: Fri, 14 Dec 2007 01:02:34 +0100
[Message part 1 (text/plain, inline)]
On Thu, 13 Dec 2007 02:24:15 +0100 maximilian attems wrote:

> hello francesco,
> 
> nice to read you! :)

Hi Maximilian!
Thanks for your quick reply.

> 
> On Thu, Dec 13, 2007 at 12:10:04AM +0100, Francesco Poli wrote:
[...]
> > By reading the bug log, I seem to understand that this is due to
> > stability concerns by the Debian Kernel Team.
> > Do these concerns still hold, now that more than 2 years have
> > passed?
> 
> well partialy
> but due to shipment in all major distribution volountary preemption
> is beeing reconsidered as well preempt_bkl
> http://lists.debian.org/debian-kernel/2007/11/msg00496.html
> tickless kernel is an environmental necessity and thus enabled
> http://lists.debian.org/debian-kernel/2007/12/msg00014.html
> hz_1000 needs a benchmark run.

This *sounds* encouraging.
Let's make the *Universal OS* suitable for intensive audio processing
too!  ;-)

[...]
> > If I read /usr/share/doc/jackd/README.Debian correctly, activating
> > preemption would benefit audio applications, especially:
> > 
> > |        3. use a 2.6 kernel with the realtime-preempt patch applied
> > 
> > I would love to see Debian as ready as possible for setting up an
> > audio processing workstation with minimal configuration (and without
> > recompiling kernels or other packages).
> 
> well the realtime patch already helped a lot,
> but is not ready for default.
> it is currently quite marketing hyped by rh and suse.

This means that I cannot use the realtime option with jackd on a pure
Debian box (testing or unstable), at present.
Do I understand correctly? 


-- 
 http://frx.netsons.org/doc/nanodocs/testing_workstation_install.html
 Need to read a Debian testing installation walk-through?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#311185; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bernd@bzed.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #36 received at 311185@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: maximilian attems <max@stro.at>, 311185@bugs.debian.org
Cc: Francesco Poli <frx@firenze.linux.it>
Subject: Re: Bug#311185: linux-2.6: Does the Debian Kernel Team still have concerns about CONFIG_PREEMPT ?
Date: Sat, 15 Dec 2007 02:46:29 +0100

> the stability != preempt seems no longer true as the preempt
> path gets more testing out there.

I'm running my notebook with full preemption since years now, without
any problems. I had to use the -ck patches, though, as the normal
preemption did not work well enough for me. I didn't check how the new
scheduler compares with the latest -ck patches yet...
Also I'm not sure how well kernels with activated preemption will work
on servers, would be interesting to see some benchmarks....

> well the realtime patch already helped a lot,
> but is not ready for default.

I've given the RT patch a try some months ago as I thought about
creating jacklab[1]-like CDD, but the Kernel was just not stable enough
for the daily use (like suspend/resume...) - but I think for a pure
audio system the RT patch should be fine today, at least it would be
interesting to give it a try. While having a RT kernel as default is not
an option imho, it would be great to have an installable RT kernel for
the latest hardware (nobody wants to do realtime sound processing on old
machines imho....).


Cheers,

Bernd


[1]: http://jacklab.org/
-- 
Bernd Zeimetz
<bernd@bzed.de>                         <http://bzed.de/>




Forcibly Merged 311185 496871 539209. Request was from Moritz Muehlenhoff <jmm@debian.org> to control@bugs.debian.org. (Sat, 12 Sep 2009 14:24:14 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <max@stro.at>:
You have taken responsibility. (Mon, 01 Feb 2010 14:30:03 GMT) Full text and rfc822 format available.

Notification sent to TazForEver@dlfp.org:
Bug acknowledged by developer. (Mon, 01 Feb 2010 14:30:03 GMT) Full text and rfc822 format available.

Message #43 received at 311185-done@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: 311185-done@bugs.debian.org
Subject: Re: please add CONFIG_PREEMPT
Date: Mon, 1 Feb 2010 15:27:03 +0100
Version: 2.6.32-1

enable in latest linux images, thus closing.




Reply sent to maximilian attems <max@stro.at>:
You have taken responsibility. (Mon, 01 Feb 2010 14:30:03 GMT) Full text and rfc822 format available.

Notification sent to Anand Kumria <wildfire@progsoc.org>:
Bug acknowledged by developer. (Mon, 01 Feb 2010 14:30:04 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <max@stro.at>:
You have taken responsibility. (Mon, 01 Feb 2010 14:30:04 GMT) Full text and rfc822 format available.

Notification sent to Josh Triplett <josh@joshtriplett.org>:
Bug acknowledged by developer. (Mon, 01 Feb 2010 14:30:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Mar 2010 07:29:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:21:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.